// Project Sword & Gun Copyright © 2021 Kevin Poretti


#include "States/SNGProtagonistState.h"

void USNGProtagonistState::SetOwner(AActor* StateOwner)
{
	Super::SetOwner(StateOwner);

	Protagonist = Cast<ASNGProtagonist>(StateOwner);
	if(!Protagonist)
	{
		UE_LOG(LogTemp, Error, TEXT("SNGProtagonistState :: Could not cast state owner to SNGProtagonist"));	
	}
}
